Bug 960752 - Update to 3.4-beta1 kills glusterd
Summary: Update to 3.4-beta1 kills glusterd
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: 3.4.0-beta
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1113543
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-07 21:12 UTC by Nux
Modified: 2015-10-07 14:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-07 14:05:55 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
/var/log/glusterfs (6.88 KB, application/x-tar)
2013-05-08 08:12 UTC, Nux
no flags Details

Description Nux 2013-05-07 21:12:41 UTC
Description of problem:
Updating to newly released beta kills off glusterd.


Version-Release number of selected component (if applicable):
3.4-beta1

How reproducible:
always

Steps to Reproduce:
1. install pre-beta glusterfs (I had some git 3.4 rpm build)
2. yum update from the 3.4-beta1 repo at bits.gluster.org
3. 
  
Actual results:
Running commands such as "gluster volume status" returns:
"Connection failed. Please check if gluster daemon is operational."

Expected results:
command should return status of the volume(s)

Additional info:
Running Centos x86_64, selinux on, XFS
During the "yum update" process I could catch this error in the output:
"error reading information on service glusterfsd: No such file or directory"

Comment 1 krishnan parthasarathi 2013-05-08 04:01:38 UTC
Nux,

Could you attach log files of glusterd and glusterfsd(s) from the node where you see this issue?

Comment 2 Nux 2013-05-08 08:12:55 UTC
Created attachment 745088 [details]
/var/log/glusterfs

The contents of /var/log/glusterfs

Comment 3 Nux 2013-05-08 08:20:14 UTC
I have wiped out my test setup and started again from the old 3.4git RPMs I had then "yum update" to the beta1. Same thing happened, glusterd got killed. I bet anyone could repeat this.
The logs should be quite small.

Also, I got again this error during "yum update":
"error reading information on service glusterfsd: No such file or directory"
But glusterfsd was/is working.

Let me know if you need further info.

Comment 4 Justin Clift 2013-05-24 04:43:16 UTC
As a data point not related to glusterd being killed, the error message about:

  error reading information on service glusterfsd: No such file or directory

... seems to be caused by a missing /etc/init.d/glusterfsd

A BZ for that piece of things has already been filed here:

  https://bugzilla.redhat.com/show_bug.cgi?id=954190

Comment 5 Niels de Vos 2015-05-17 21:57:32 UTC
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.

Comment 6 Kaleb KEITHLEY 2015-10-07 14:05:55 UTC
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.


Note You need to log in before you can comment on or make changes to this bug.